diff --git a/src/game/g_combat.c b/src/game/g_combat.c
index 654c8f0e5..63f8e56a7 100644
--- a/src/game/g_combat.c
+++ b/src/game/g_combat.c
@@ -2107,18 +2107,9 @@ qboolean G_RadiusDamage(vec3_t origin, gentity_t *inflictor, gentity_t *attacker
 
 			if (inflictor->onobjective == ent->onobjective && ent->s.effect1Time)
 			{
-				if (g_dynamiteChaining.integer & DYNAMITECHAINING_FREE)
-				{
-					// free the other dynamite now too since they are peers
-					ent->nextthink = level.time;
-					ent->think     = G_ChainFree;
-				}
-				else
-				{
-					// blow up the other dynamite now too since they are peers
-					// set the nextthink just past us by a 1/4 of a second or so
-					ent->nextthink = level.time + 250;
-				}
+				// free the other dynamite now too since they are peers
+				ent->nextthink = level.time;
+				ent->think     = G_ChainFree;
 			}
 		}
 
@@ -2282,18 +2273,9 @@ qboolean etpro_RadiusDamage(vec3_t origin, gentity_t *inflictor, gentity_t *atta
 
 			if (inflictor->onobjective == ent->onobjective && ent->s.effect1Time)
 			{
-				if (g_dynamiteChaining.integer & DYNAMITECHAINING_FREE)
-				{
-					// free the other dynamite now too since they are peers
-					ent->nextthink = level.time;
-					ent->think     = G_ChainFree;
-				}
-				else
-				{
-					// blow up the other dynamite now too since they are peers
-					// set the nextthink just past us by a 1/4 of a second or so
-					ent->nextthink = level.time + 250;
-				}
+				// free the other dynamite now too since they are peers
+				ent->nextthink = level.time;
+				ent->think     = G_ChainFree;
 			}
 		}
 
diff --git a/src/game/g_local.h b/src/game/g_local.h
index 9e8ed64ec..500e4e296 100644
--- a/src/game/g_local.h
+++ b/src/game/g_local.h
@@ -2122,10 +2122,6 @@ extern vmCvar_t g_multiview;
 extern vmCvar_t g_stickyCharge;
 extern vmCvar_t g_xpSaver;
 
-#define DYNAMITECHAINING_EXPLOSION 0 // default, explode dynamites chaining
-#define DYNAMITECHAINING_FREE 1      // free dynamites chaining
-extern vmCvar_t g_dynamiteChaining;
-
 extern vmCvar_t g_playerHitBoxHeight;
 
 extern vmCvar_t g_debugForSingleClient;
diff --git a/src/game/g_main.c b/src/game/g_main.c
index 77efd3a84..e7317c9eb 100644
--- a/src/game/g_main.c
+++ b/src/game/g_main.c
@@ -365,8 +365,6 @@ vmCvar_t g_multiview; // 0 - off, other - enabled
 vmCvar_t g_stickyCharge;
 vmCvar_t g_xpSaver;
 
-vmCvar_t g_dynamiteChaining;
-
 vmCvar_t g_playerHitBoxHeight;
 
 vmCvar_t g_debugForSingleClient;
@@ -661,7 +659,6 @@ cvarTable_t gameCvarTable[] =
 #endif
 	{ &g_stickyCharge,                    "g_stickyCharge",                    "0",                          CVAR_ARCHIVE,                                    0, qfalse, qfalse },
 	{ &g_xpSaver,                         "g_xpSaver",                         "0",                          CVAR_ARCHIVE,                                    0, qfalse, qfalse },
-	{ &g_dynamiteChaining,                "g_dynamiteChaining",                "0",                          CVAR_ARCHIVE,                                    0, qfalse, qfalse },
 	{ &g_playerHitBoxHeight,              "g_playerHitBoxHeight",              "36",                         CVAR_ARCHIVE | CVAR_SERVERINFO,                  0, qfalse, qfalse },
 	{ &g_suddenDeath,                     "g_suddenDeath",                     "0",                          CVAR_ARCHIVE,                                    0, qtrue,  qfalse },
 };
